package ink.wgink.pojo.dtos.role;

import java.io.Serializable;

/**
 * @ClassName: RoleSimpleDTO
 * @Description: 角色（简单）
 * @Author: wanggeng
 * @Date: 2021/9/15 10:59 下午
 * @Version: 1.0
 */
public class RoleSimpleDTO implements Serializable {

    private static final long serialVersionUID = -4972434857911570930L;
    private String roleId;
    private String roleParentId;
    private String roleName;
    private String roleCode;
    private String roleDataRight;

    public String getRoleId() {
        return roleId == null ? "" : roleId.trim();
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRoleParentId() {
        return roleParentId == null ? "" : roleParentId.trim();
    }

    public void setRoleParentId(String roleParentId) {
        this.roleParentId = roleParentId;
    }

    public String getRoleName() {
        return roleName == null ? "" : roleName.trim();
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getRoleCode() {
        return roleCode == null ? "" : roleCode.trim();
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public String getRoleDataRight() {
        return roleDataRight == null ? "" : roleDataRight.trim();
    }

    public void setRoleDataRight(String roleDataRight) {
        this.roleDataRight = roleDataRight;
    }
}
